Subject: bug#10963: 24.0.94; `dabbrev-completion' and `completion-cycle-threshold'

From: Dani Moncayo <[email-masked]>
Date: Mon, 12 Mar 2012 14:41:36 +0100

> I believe this is now fixed in the trunk, please confirm,

Thanks, Stefan.

It mostly works, but there is one detail that seems to need a fix:
Consider this scenario:
1. M-: (setq completion-cycle-threshold 4) RET
2. foo1 RET foo2 RET foo3 RET foo

Now, repeated `C-M-/' commands cycle like this:
  foo3/foo1/foo2

but repeated `M-/' commands cycle like this:
  foo3/foo2/foo1

I think that the cycling order should be equal in both cases, and IMO
the right order is the one followed by `M-/'  (ISTR that I've read
something about this in the manual, but right now I can't find the
place).

-- 
Dani Moncayo